package com.dcsoft.system.mapper;

import com.dcsoft.system.domain.HkPeopleRecord;

import java.util.List;

/**
 * 海康打卡记录Mapper接口
 *
 * @author nichun
 * @date 2023-09-27
 */
public interface HkPeopleRecordMapper
{
    /**
     * 查询海康打卡记录
     *
     * @param id 海康打卡记录主键
     * @return 海康打卡记录
     */
    public HkPeopleRecord selectHkPeopleRecordById(Long id);

    /**
     * 查询海康打卡记录列表
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 海康打卡记录集合
     */
    public List<HkPeopleRecord> selectHkPeopleRecordList(HkPeopleRecord hkPeopleRecord);

    /**
     * 新增海康打卡记录
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 结果
     */
    public int insertHkPeopleRecord(HkPeopleRecord hkPeopleRecord);

    /**
     * 修改海康打卡记录
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 结果
     */
    public int updateHkPeopleRecord(HkPeopleRecord hkPeopleRecord);

    /**
     * 删除海康打卡记录
     *
     * @param id 海康打卡记录主键
     * @return 结果
     */
    public int deleteHkPeopleRecordById(Long id);

    /**
     * 批量删除海康打卡记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHkPeopleRecordByIds(Long[] ids);

    public List<HkPeopleRecord> selectHkPeopleRecordByEventId(HkPeopleRecord hkPeopleRecord);
}
